convertDXSingleDoubleSpeed

## Class DXCoilPerformance

- java.lang.Object
- - convertDXSingleDoubleSpeed.DXCoilPerformance

-     public class DXCoilPerformance
      extends java.lang.Object

  This class represents the performance data for a double stage cooling coils. This call is slightly different from the single speed class.

  ### License agreement

  The use of this program is subjected to the following license terms.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `DXCoilPerformance()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.util.ArrayList<ICurve>` | `getCurves()` This method gets the curves describing the cooling coil.
    `java.lang.String` | `getFraAirFlow()` This method gets the fraction of air flow bypassed around the coil.
    `java.util.ArrayList<java.lang.String>` | `getFunctionNames()` This method gets the functions names of the cooling coil.
    `java.lang.String` | `getName()` This method gets the name of the cooling coil.
    `java.lang.String` | `getRatAirFlowRate()` This method gets the rated air flow of the cooling coil.
    `java.lang.String` | `getRatCOP()` This method gets the reference COP of the cooling coil.
    `java.lang.String` | `getRatSenHeaRatio()` This method gets the rated sensible heat ratio of the cooling coil.
    `java.lang.String` | `getRatTotCooCapacity()` This method gets the rated total cooling capacity of the cooling coil.
    `java.lang.String` | `getStringDefinitionOfDXSingleSpeedObject()` This method gets the comments definition of the cooling coil.
    `void` | `setCurves(java.util.ArrayList<ICurve> curves)` This method sets the curves describing the cooling coil.
    `void` | `setFraAirFlow(java.lang.String fraAirFlow)` This method sets the fraction of air flow bypassed around the coil.
    `void` | `setFunctionNames(java.util.ArrayList<java.lang.String> functionNames)` This method sets the functions names of the cooling coil.
    `void` | `setName(java.lang.String name)` This method sets the name of the cooling coil.
    `void` | `setRatAirFlowRate(java.lang.String ratAirFlowRate)` This method sets the rated air flow of the cooling coil.
    `void` | `setRatCOP(java.lang.String ratCOP)` This method sets the reference COP of the cooling coil.
    `void` | `setRatSenHeaRatio(java.lang.String ratSenHeaRatio)` This method sets the rated sensible heat ratio of the cooling coil.
    `void` | `setRatTotCooCapacity(java.lang.String ratTotCooCapacity)` This method sets the rated total cooling capacity of the cooling coil.
    `void` | `setStringDefinitionOfDXSingleSpeedObject(java.lang.String stringDefinitionOfDXSingleSpeedObject)` This method sets the comments definition of the cooling coil.
    `java.lang.String` | `toMoRecordString()` This method is used to convert performance data of dx coils data into a String.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DXCoilPerformance

          public DXCoilPerformance()

  - ### Method Detail

    - #### toMoRecordString

          public java.lang.String toMoRecordString()

      This method is used to convert performance data of dx coils data into a String.
      Returns:
        the converted cooling coil data as a string.

    - #### getName

          public java.lang.String getName()

      This method gets the name of the cooling coil.

    - #### setName

          public void setName(java.lang.String name)

      This method sets the name of the cooling coil.

    - #### getRatTotCooCapacity

          public java.lang.String getRatTotCooCapacity()

      This method gets the rated total cooling capacity of the cooling coil.

    - #### setRatTotCooCapacity

          public void setRatTotCooCapacity(java.lang.String ratTotCooCapacity)

      This method sets the rated total cooling capacity of the cooling coil.

    - #### getRatSenHeaRatio

          public java.lang.String getRatSenHeaRatio()

      This method gets the rated sensible heat ratio of the cooling coil.

    - #### setRatSenHeaRatio

          public void setRatSenHeaRatio(java.lang.String ratSenHeaRatio)

      This method sets the rated sensible heat ratio of the cooling coil.

    - #### getRatCOP

          public java.lang.String getRatCOP()

      This method gets the reference COP of the cooling coil.

    - #### setRatCOP

          public void setRatCOP(java.lang.String ratCOP)

      This method sets the reference COP of the cooling coil.

    - #### getRatAirFlowRate

          public java.lang.String getRatAirFlowRate()

      This method gets the rated air flow of the cooling coil.

    - #### setRatAirFlowRate

          public void setRatAirFlowRate(java.lang.String ratAirFlowRate)

      This method sets the rated air flow of the cooling coil.

    - #### getFraAirFlow

          public java.lang.String getFraAirFlow()

      This method gets the fraction of air flow bypassed around the coil.

    - #### setFraAirFlow

          public void setFraAirFlow(java.lang.String fraAirFlow)

      This method sets the fraction of air flow bypassed around the coil.

    - #### getFunctionNames

          public java.util.ArrayList<java.lang.String> getFunctionNames()

      This method gets the functions names of the cooling coil.

    - #### setFunctionNames

          public void setFunctionNames(java.util.ArrayList<java.lang.String> functionNames)

      This method sets the functions names of the cooling coil.

    - #### getCurves

          public java.util.ArrayList<ICurve> getCurves()

      This method gets the curves describing the cooling coil.

    - #### setCurves

          public void setCurves(java.util.ArrayList<ICurve> curves)

      This method sets the curves describing the cooling coil.

    - #### getStringDefinitionOfDXSingleSpeedObject

          public java.lang.String getStringDefinitionOfDXSingleSpeedObject()

      This method gets the comments definition of the cooling coil.

    - #### setStringDefinitionOfDXSingleSpeedObject

          public void setStringDefinitionOfDXSingleSpeedObject(java.lang.String stringDefinitionOfDXSingleSpeedObject)

      This method sets the comments definition of the cooling coil.